<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ClientPairingProps extends \Google\Protobuf\Internal\Message
{
    


    protected $isChatDbLidMigrated = null;
    


    protected $isSyncdPureLidSession = null;
    


    protected $isSyncdSnapshotRecoveryEnabled = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIsChatDbLidMigrated()
    {
        return isset($this->isChatDbLidMigrated) ? $this->isChatDbLidMigrated : false;
    }

    public function hasIsChatDbLidMigrated()
    {
        return isset($this->isChatDbLidMigrated);
    }

    public function clearIsChatDbLidMigrated()
    {
        unset($this->isChatDbLidMigrated);
    }

    




    public function setIsChatDbLidMigrated($var)
    {
        GPBUtil::checkBool($var);
        $this->isChatDbLidMigrated = $var;

        return $this;
    }

    



    public function getIsSyncdPureLidSession()
    {
        return isset($this->isSyncdPureLidSession) ? $this->isSyncdPureLidSession : false;
    }

    public function hasIsSyncdPureLidSession()
    {
        return isset($this->isSyncdPureLidSession);
    }

    public function clearIsSyncdPureLidSession()
    {
        unset($this->isSyncdPureLidSession);
    }

    




    public function setIsSyncdPureLidSession($var)
    {
        GPBUtil::checkBool($var);
        $this->isSyncdPureLidSession = $var;

        return $this;
    }

    



    public function getIsSyncdSnapshotRecoveryEnabled()
    {
        return isset($this->isSyncdSnapshotRecoveryEnabled) ? $this->isSyncdSnapshotRecoveryEnabled : false;
    }

    public function hasIsSyncdSnapshotRecoveryEnabled()
    {
        return isset($this->isSyncdSnapshotRecoveryEnabled);
    }

    public function clearIsSyncdSnapshotRecoveryEnabled()
    {
        unset($this->isSyncdSnapshotRecoveryEnabled);
    }

    




    public function setIsSyncdSnapshotRecoveryEnabled($var)
    {
        GPBUtil::checkBool($var);
        $this->isSyncdSnapshotRecoveryEnabled = $var;

        return $this;
    }

}

